:root {
	--protected-color: hsl(336, 95%, 96%);
	--protected-color-even: hsl(336, 95%, 92%);
	--superseded-color: hsl(280, 100%, 97%);
	--superseded-color-even: hsl(280, 100%, 94%);
	--monophyletic-color: hsl(0, 0%, 100%);
	--even-color: hsl(0, 0%, 98%);
	--polyphyletic-color: hsl(197, 100%, 97%);
	--published-color: hsl(110, 100%, 97%);
	--published-color-even: hsl(110, 100%, 94%);
}

#home-container {
	display: inline-grid;
	grid-template-columns: auto auto auto;
	grid-column-gap: 1px;
	margin-right: 10px;
}

#left-side {
display: inline-block;
    width: 20rem;
    border-right: 1px solid hsl(0, 0%, 75%);
    padding: 0.25em;
    margin: 0.5em 0.25em 0.5em;
}

#left-side ul {
	list-style-type: none;
	margin: unset;
	padding: unset;
}

#left-side li {
	margin: var(--margin-1);
}

#navigation-section h2 {
	font-size: var(--font-size-large);
	color: var(--navigation-section-color);
	margin: 0.25rem;
}

#navigation-section h2.highlite {
	color: #ff3307;
	margin: var(--margin-1);
	font-size: 1rem;
}

#announcements h2 {
	font-size: var(--font-size-large);
	color: var(--announecements-color);
	margin: .5em 0;
}
#announcements-list, #links-list {
	max-height: 15rem;
	overflow: auto;
}

#announcements .ann {
	display: block;
	padding: 0.2rem;
	color: black;
	text-decoration: none;
}
#announcements .ann:hover {
	background-color: hsl(0, 0%, 96%);
}
#announcements a.ann:hover {
	text-decoration: underline;
}

#announcements-list .text, #releases-list .text, #links-list .text {
	margin-top: 0.2rem;
	font-weight: bold;
}
#announcements .date {
	color: green;
}
#announcements .location {
}

#more-releases .ann {
	color: var(--announecements-color);
}

#right-side {
	display: block;
	width: 100%;
	position: relative;
}

.taxonomy-label {
	position: absolute;
	display: inline-block;
	font-weight: bold;
}

.taxonomy-label.non-empty {
	cursor: pointer;
}

.taxonomy-label.empty {
	color: var(--label-disabled-color);
}

.taxonomy-label.non-empty:hover {
	outline-color: white;
	outline-style: solid;
	outline-width: 1px;
	animation-name: hover_animation;
  	animation-duration: 1s;
  	animation-fill-mode: forwards;
}

.tree-menu {
	max-height: 40rem;
	max-width: 25rem;
	padding: 0;
	background-color: white;
	border: 1px solid #52837e;
	overflow: auto;
}

.dropleft .tree-menu {
	margin-right: 0.125rem;
}
.dropright .tree-menu {
	margin-left: 0.125rem;
}

.dropdown .tree-menu {
	margin-top: 0.125rem;
}

.tree-menu-item {
	display: block;
	border-bottom: 1px solid #bac8ce;
	color: black;
	text-decoration: none;
	padding: 0.125rem 0.25rem;
	font-weight: normal;
	white-space: nowrap;
	min-width: 15rem;
}
.tree-menu-item .left {
	display: inline-block;
	margin-right: 0.25rem;
	width: 100%;
}
.tree-menu-item .right {
	display: inline-block;
}
.tree-menu-item:hover {
 	background-color: hsla(235, 40%, 94%, 0.40);
 	text-decoration: underline;
}

.tree-menu-item.navigation {
    background-position: 3px center;
    background-repeat: no-repeat;
    padding: 0.25rem 0.25rem 0.25rem 23px;
    font-weight: bold;
}
.tree-menu-item.group {
	font-size: var(--font-size-medium);
	font-weight: bold;
	background-color: hsla(180, 5%, 95%, 1.0);
    display: flex;
    flex-wrap: nowrap;	
}
.tree-menu-item.group:hover {
	background-color: hsla(180, 5%, 95%, 0.50);
}

.tree-menu-item.search2 {
    background-image: url(/mycocosm/home/search-icon.png);
}
.tree-menu-item.blast {
    background-image: url(/mycocosm/home/blast-icon.png);
}
.tree-menu-item.pfam,.tree-menu-item.sm-clusters,.tree-menu-item.bgc-clusters-comparative,.tree-menu-item.cazy,.tree-menu-item.merops,.tree-menu-item.tcdb,.tree-menu-item.transfactor,.tree-menu-item.enzymes {
    background-image: url(/mycocosm/home/domains-icon.png);
}
.tree-menu-item.clm {
    background-image: url(/mycocosm/home/clusters-icon.png);
}
.tree-menu-item.geo-mapping {
    background-image: url(/mycocosm/home/globus-16x16.png);
}
.tree-menu-item.download,.tree-menu-item.dp {
    background-image: url(/mycocosm/home/download-icon.png);
}
.tree-menu-item.tree {
    background-image: url(/mycocosm/home/mycocosm-tree-icon.png);
}
.tree-menu-item.nominate {
    background-image: url(/mycocosm/home/nominate-icon.png);
}
.tree-menu-item.phytozome {
    background-image: url(/mycocosm/home/phytozome-icon-16x16.png);
}
.tree-menu-item.mito-group {
    background-image: url(/mycocosm/home/mitochondria-2-icon-16x16.png);
}

@keyframes hover_animation {
  from {
	outline-color: hsla(0, 0%, 70%, 0.0);
  }
  to {
	outline-color: hsla(0, 0%, 70%, 1.0);
  }
}

.bold-span {
	display: inline;
	font-weight: bold;
}
.cite {
	display: block;
	margin: 0.5em 0;
	max-width: 80rem;
}

#search-bar {
	display: block;
	background-color: #e4e5f8;
	border: 1px solid #004271;
	padding: 1em;
}

#search-bar .v {
	margin: 0.25em;
	padding: 0.4em;
	font-size: 1.2em;
}

#search-bar #filterButton {
	border-radius: 0.25em;
	font-weight: bold;
	background-color: var(--search-buttons-color);
}

#search-bar #search-jgi {
	font-weight: bold;
	color: black;
}

#top-navigation {
	list-style-type: none;
	display: block;
	padding: 0 0 0 0;
	margin: 0;
	background-color: var(--menu-bg-color);
    border-bottom: var(--menu-border);
}
.menu-group {
	display: inline-block;
	padding: 0;
	margin: 0;
}

.menu {
	text-decoration: none;
	display: block;
	padding: 0.25rem 1rem;
	margin: 0;
	font-weight: bold;
	cursor: pointer;
	color: var(--menu-text-color); 
}
.menu-divider {
	text-decoration: none;
	display: block;
    height: 1px;
	padding: 0;
    margin: 0.2rem 1rem;
	cursor: none;
	background-color: var(--menu-border-color); 
}


.menu:hover {
	color: var(--menu-highlite-text-color);
	background-color: var(--menu-highlite-bg-color);
}

a.menu:hover {
	color: var(--menu-highlite-text-color);
}

#parameters_form {
    margin: 1em 1em 0 1.2em;
	display: inline-grid;
	grid-template-columns: auto auto auto auto auto auto auto auto;
	grid-column-gap: 1px;
    
}

#parameters_form input, select {
    font-size: 1em;
	font-weight: bold;
	padding: 2px 4px;
	margin: 0px;
	background-color: white;
	max-width: 30em;
}

input#filterButton, input#toGroupButton, input#listButton {
	border-radius: 0.25em;
	background-color: var(--search-buttons-color);
}

#filter {
	width: 30em;	
}

#catalog {
    margin: 1em;
    border-collapse: collapse;
    table-layout: fixed;
	border-bottom: 2px solid hsl(0, 0%, 75%);
	font-size: 1.1em;
}

.hidden {
	display: none;
}

.header-row {
}

.header-row-cell {
	padding: 0.5em;
	border-left: 6px solid white;
	border-right: 6px solid white;
	border-bottom: 2px solid hsl(0, 0%, 75%);
}

.header-row-cell.sortable {
	padding-right: 20px;
}

.body-row td {
	padding: 0.5em;
}

.body-row a {
	color: black;
}

#catalog tbody tr:nth-child(even) {
	background-color: var(--even-color);
}	

#catalog tbody tr.published:nth-child(even) {
	background-color: var(--published-color-even);
}
.published {
	background-color: var(--published-color);
}
#catalog tbody tr.protected:nth-child(even) {
	background-color: var(--protected-color-even);
}
.protected {
	background-color: var(--protected-color);
}
#catalog tbody tr.superseded:nth-child(even) {
	background-color: var(--superseded-color-even);
}
.superseded {
	background-color: var(--superseded-color);
}
.mono {
	background-color: var(--monophyletic-color);
}
.poly {
	background-color: var(--polyphyletic-color);
}
